Imports System
Imports System.ComponentModel
Imports System.Diagnostics
Imports System.Xml.Serialization

<Serializable()> _
Public Class EntityMemberServices

    <Serializable()> _
    Public Class TheCommonResponse
        Inherits ProviderResults
        Implements IProviderResults

    End Class

    <Serializable()> _
    Public Class AuthenticateRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_AuthenticateLogin As String
        Private m_AuthenticatePassword As String
        Private m_Login As String
        Private m_Password As String

        Public Property csrLogin() As String
            Get
                Return Me.m_AuthenticateLogin
            End Get
            Set(ByVal value As String)
                Me.m_AuthenticateLogin = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_AuthenticatePassword
            End Get
            Set(ByVal value As String)
                Me.m_AuthenticatePassword = value
            End Set
        End Property
        Public Property Login() As String
            Get
                Return Me.m_Login
            End Get
            Set(ByVal value As String)
                Me.m_Login = value
            End Set
        End Property
        Public Property Password() As String
            Get
                Return Me.m_Password
            End Get
            Set(ByVal value As String)
                Me.m_Password = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class AuthenticateResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_AccountIDField As String

        Public Property AccountID() As String
            Get
                Return Me.m_AccountIDField
            End Get
            Set(ByVal value As String)
                Me.m_AccountIDField = value
            End Set
        End Property

    End Class


    <Serializable()> _
Public Class AuthenticateMsExRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_AuthenticateLogin As String
        Private m_AuthenticatePassword As String
        Private m_Login As String
        Private m_Password As String

        Public Property csrLogin() As String
            Get
                Return Me.m_AuthenticateLogin
            End Get
            Set(ByVal value As String)
                Me.m_AuthenticateLogin = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_AuthenticatePassword
            End Get
            Set(ByVal value As String)
                Me.m_AuthenticatePassword = value
            End Set
        End Property
        Public Property Login() As String
            Get
                Return Me.m_Login
            End Get
            Set(ByVal value As String)
                Me.m_Login = value
            End Set
        End Property
        Public Property Password() As String
            Get
                Return Me.m_Password
            End Get
            Set(ByVal value As String)
                Me.m_Password = value
            End Set
        End Property
    End Class
    <Serializable()> _
      Public Class AuthenticateMsExResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountNumberField As String
        Private m_accountTypeField As String
        Private m_address1Field As String
        Private m_address2Field As String
        Private m_cityField As String
        Private m_companyField As String
        Private m_contactEmailField As String
        Private m_firstNameField As String
        Private m_lastNameField As String
        Private m_phoneNumberField As String
        Private m_secretCodeField As String
        Private m_secretHintField As String
        Private m_stateField As String
        Private m_zipCodeField As String
        Private m_accountStatusField As Integer
        Private m_billingTypeField As String
        Private m_hasEmailField As Boolean
        Private m_hasSecurityField As Boolean
        Private m_hasWebspaceField As Boolean
        Private m_packageArrayField() As PackageDetailInfo
        Private m_totalActivePackageField As Integer
        Private m_totalPendingPackageField As Integer
        Private m_blnStateField As Boolean
        Private m_StatusTextField As String
        Private m_AccountIDField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property accountType() As String
            Get
                Return Me.m_accountTypeField
            End Get
            Set(ByVal value As String)
                Me.m_accountTypeField = value
            End Set
        End Property
        Public Property address1() As String
            Get
                Return Me.m_address1Field
            End Get
            Set(ByVal value As String)
                Me.m_address1Field = value
            End Set
        End Property
        Public Property address2() As String
            Get
                Return Me.m_address2Field
            End Get
            Set(ByVal value As String)
                Me.m_address2Field = value
            End Set
        End Property
        Public Property city() As String
            Get
                Return Me.m_cityField
            End Get
            Set(ByVal value As String)
                Me.m_cityField = value
            End Set
        End Property
        Public Property company() As String
            Get
                Return Me.m_companyField
            End Get
            Set(ByVal value As String)
                Me.m_companyField = value
            End Set
        End Property
        Public Property contactEmail() As String
            Get
                Return Me.m_contactEmailField
            End Get
            Set(ByVal value As String)
                Me.m_contactEmailField = value
            End Set
        End Property
        Public Property firstName() As String
            Get
                Return Me.m_firstNameField
            End Get
            Set(ByVal value As String)
                Me.m_firstNameField = value
            End Set
        End Property
        Public Property lastName() As String
            Get
                Return Me.m_lastNameField
            End Get
            Set(ByVal value As String)
                Me.m_lastNameField = value
            End Set
        End Property
        Public Property phoneNumber() As String
            Get
                Return Me.m_phoneNumberField
            End Get
            Set(ByVal value As String)
                Me.m_phoneNumberField = value
            End Set
        End Property
        Public Property secretCode() As String
            Get
                Return Me.m_secretCodeField
            End Get
            Set(ByVal value As String)
                Me.m_secretCodeField = value
            End Set
        End Property
        Public Property secretHint() As String
            Get
                Return Me.m_secretHintField
            End Get
            Set(ByVal value As String)
                Me.m_secretHintField = value
            End Set
        End Property
        Public Property StateInitials() As String
            Get
                Return Me.m_stateField
            End Get
            Set(ByVal value As String)
                Me.m_stateField = value
            End Set
        End Property
        Public Property zipCode() As String
            Get
                Return Me.m_zipCodeField
            End Get
            Set(ByVal value As String)
                Me.m_zipCodeField = value
            End Set
        End Property
        Public Property accountStatus() As Integer
            Get
                Return Me.m_accountStatusField
            End Get
            Set(ByVal value As Integer)
                Me.m_accountStatusField = value
            End Set
        End Property
        Public Property billingType() As String
            Get
                Return Me.m_billingTypeField
            End Get
            Set(ByVal value As String)
                Me.m_billingTypeField = value
            End Set
        End Property
        Public Property hasEmail() As Boolean
            Get
                Return Me.m_hasEmailField
            End Get
            Set(ByVal value As Boolean)
                Me.m_hasEmailField = value
            End Set
        End Property
        Public Property hasSecurity() As Boolean
            Get
                Return Me.m_hasSecurityField
            End Get
            Set(ByVal value As Boolean)
                Me.m_hasSecurityField = value
            End Set
        End Property
        Public Property hasWebspace() As Boolean
            Get
                Return Me.m_hasWebspaceField
            End Get
            Set(ByVal value As Boolean)
                Me.m_hasWebspaceField = value
            End Set
        End Property
        Public Property packageArray() As PackageDetailInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageDetailInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property totalActivePackage() As Integer
            Get
                Return Me.m_totalActivePackageField
            End Get
            Set(ByVal value As Integer)
                Me.m_totalActivePackageField = value
            End Set
        End Property
        Public Property totalPendingPackage() As Integer
            Get
                Return Me.m_totalPendingPackageField
            End Get
            Set(ByVal value As Integer)
                Me.m_totalPendingPackageField = value
            End Set
        End Property
    End Class

    <Serializable()> _
    Partial Public Class PackageDetailInfo

        Private m_descriptionField As String
        Private m_emailsAllowedField As Integer
        Private m_pendingStatusField As Boolean
        Private m_provisioningIdField As String
        Private m_securityKeysAllowedField As Integer
        Private m_typeField As String

        Public Property description() As String
            Get
                Return Me.m_descriptionField
            End Get
            Set(ByVal value As String)
                Me.m_descriptionField = value
            End Set
        End Property
        Public Property emailsAllowed() As Integer
            Get
                Return Me.m_emailsAllowedField
            End Get
            Set(ByVal value As Integer)
                Me.m_emailsAllowedField = value
            End Set
        End Property
        Public Property pendingStatus() As Boolean
            Get
                Return Me.m_pendingStatusField
            End Get
            Set(ByVal value As Boolean)
                Me.m_pendingStatusField = value
            End Set
        End Property
        Public Property provisioningId() As String
            Get
                Return Me.m_provisioningIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisioningIdField = value
            End Set
        End Property
        Public Property securityKeysAllowed() As Integer
            Get
                Return Me.m_securityKeysAllowedField
            End Get
            Set(ByVal value As Integer)
                Me.m_securityKeysAllowedField = value
            End Set
        End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
    End Class


















    <Serializable()> _
    Public Class CreateMemberServiceRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumberField As String
        Private m_csrloginField As String
        Private m_csrpasswordField As String
        Private m_newUserNameField As String
        Private m_passwordField As String
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        Private m_userNameField As String
        Private m_zipCodeField As String
        Private m_phoneField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_csrloginField
            End Get
            Set(ByVal value As String)
                Me.m_csrloginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_csrpasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrpasswordField = value
            End Set
        End Property
        Public Property newUserName() As String
            Get
                Return Me.m_newUserNameField
            End Get
            Set(ByVal value As String)
                Me.m_newUserNameField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
        Public Property phone() As String
            Get
                Return Me.m_phoneField
            End Get
            Set(ByVal value As String)
                Me.m_phoneField = value
            End Set
        End Property
        Public Property zipCode() As String
            Get
                Return Me.m_zipCodeField
            End Get
            Set(ByVal value As String)
                Me.m_zipCodeField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class CreateMemberServiceResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property

    End Class

    <Serializable()> _
    Public Class CreateWebspaceRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_loginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String
        Private m_webspaceLoginField As String
        Private m_webspacePasswordField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property login() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property
        Public Property webspaceLogin() As String
            Get
                Return Me.m_webspaceLoginField
            End Get
            Set(ByVal value As String)
                Me.m_webspaceLoginField = value
            End Set
        End Property
        Public Property webspacePassword() As String
            Get
                Return Me.m_webspacePasswordField
            End Get
            Set(ByVal value As String)
                Me.m_webspacePasswordField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class CreateWebspaceResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property

    End Class






    <Serializable()> _
    Partial Public Class RemoveWebspaceRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_loginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String
        Private m_webspaceLoginField As String
        Private m_webspacePasswordField As String


        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property CSRlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property CSRpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property
        Public Property webspaceLogin() As String
            Get
                Return Me.m_webspaceLoginField
            End Get
            Set(ByVal value As String)
                Me.m_webspaceLoginField = value
            End Set
        End Property
        Public Property webspacePassword() As String
            Get
                Return Me.m_webspacePasswordField
            End Get
            Set(ByVal value As String)
                Me.m_webspacePasswordField = value
            End Set
        End Property
    End Class
    <Serializable()> _
     Public Class RemoveWebspaceResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property

    End Class























    <Serializable()> _
    Public Class ChangeMSLoginRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumberField As String
        Private m_csrloginField As String
        Private m_csrpasswordField As String
        Private m_newUserNameField As String
        Private m_passwordField As String
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        Private m_userNameField As String


        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_csrloginField
            End Get
            Set(ByVal value As String)
                Me.m_csrloginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_csrpasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrpasswordField = value
            End Set
        End Property
        Public Property newUserName() As String
            Get
                Return Me.m_newUserNameField
            End Get
            Set(ByVal value As String)
                Me.m_newUserNameField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeMSLoginResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property

    End Class
    <Serializable()> _
    Public Class ChangeMSPasswordRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumberField As String
        Private m_csrloginField As String
        Private m_csrpasswordField As String
        Private m_newUserNameField As String
        Private m_passwordField As String
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        Private m_userNameField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_csrloginField
            End Get
            Set(ByVal value As String)
                Me.m_csrloginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_csrpasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrpasswordField = value
            End Set
        End Property
        Public Property newUserName() As String
            Get
                Return Me.m_newUserNameField
            End Get
            Set(ByVal value As String)
                Me.m_newUserNameField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeMSPasswordResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property

    End Class
    <Serializable()> _
    Public Class ChangeMSSecurityQARequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumberField As String
        Private m_csrloginField As String
        Private m_csrpasswordField As String
        Private m_newUserNameField As String
        Private m_passwordField As String
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        Private m_userNameField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_csrloginField
            End Get
            Set(ByVal value As String)
                Me.m_csrloginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_csrpasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrpasswordField = value
            End Set
        End Property
        Public Property newUserName() As String
            Get
                Return Me.m_newUserNameField
            End Get
            Set(ByVal value As String)
                Me.m_newUserNameField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeMSSecurityQAResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property

    End Class
    <Serializable()> _
    Public Class ChangeMAContactEmailRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumberField As String
        Private m_csrloginField As String
        Private m_csrpasswordField As String
        Private m_newUserNameField As String
        Private m_passwordField As String
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        Private m_userNameField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_csrloginField
            End Get
            Set(ByVal value As String)
                Me.m_csrloginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_csrpasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrpasswordField = value
            End Set
        End Property
        Public Property newUserName() As String
            Get
                Return Me.m_newUserNameField
            End Get
            Set(ByVal value As String)
                Me.m_newUserNameField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeMAContactEmailResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class RemoveEmailAccountRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumberField As String
        Private m_csrloginField As String
        Private m_csrpasswordField As String
        Private m_newUserNameField As String
        Private m_passwordField As String
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        Private m_userNameField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_csrloginField
            End Get
            Set(ByVal value As String)
                Me.m_csrloginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_csrpasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrpasswordField = value
            End Set
        End Property
        Public Property newUserName() As String
            Get
                Return Me.m_newUserNameField
            End Get
            Set(ByVal value As String)
                Me.m_newUserNameField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class RemoveEmailAccountResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class ChangeEmailPasswordRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_emailAddressField As String
        Private m_emailDomainField As String
        Private m_emailHOHStatusField As String
        Private m_emailLoginField As String
        Private m_emailPasswordField As String
        Private m_loginField As String
        Private m_newEmailLoginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailAddress() As String
            Get
                Return Me.m_emailAddressField
            End Get
            Set(ByVal value As String)
                Me.m_emailAddressField = value
            End Set
        End Property
        Public Property emailDomain() As String
            Get
                Return Me.m_emailDomainField
            End Get
            Set(ByVal value As String)
                Me.m_emailDomainField = value
            End Set
        End Property
        Public Property emailHOHStatus() As String
            Get
                Return Me.m_emailHOHStatusField
            End Get
            Set(ByVal value As String)
                Me.m_emailHOHStatusField = value
            End Set
        End Property
        Public Property emailLogin() As String
            Get
                Return Me.m_emailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_emailLoginField = value
            End Set
        End Property
        Public Property emailPassword() As String
            Get
                Return Me.m_emailPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_emailPasswordField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property newEmailLogin() As String
            Get
                Return Me.m_newEmailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_newEmailLoginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeEmailPasswordResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class ChangeEmailLoginRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_emailAddressField As String
        Private m_emailDomainField As String
        Private m_emailHOHStatusField As String
        Private m_emailLoginField As String
        Private m_emailPasswordField As String
        Private m_loginField As String
        Private m_newEmailLoginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailAddress() As String
            Get
                Return Me.m_emailAddressField
            End Get
            Set(ByVal value As String)
                Me.m_emailAddressField = value
            End Set
        End Property
        Public Property emailDomain() As String
            Get
                Return Me.m_emailDomainField
            End Get
            Set(ByVal value As String)
                Me.m_emailDomainField = value
            End Set
        End Property
        Public Property emailHOHStatus() As String
            Get
                Return Me.m_emailHOHStatusField
            End Get
            Set(ByVal value As String)
                Me.m_emailHOHStatusField = value
            End Set
        End Property
        Public Property emailLogin() As String
            Get
                Return Me.m_emailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_emailLoginField = value
            End Set
        End Property
        Public Property emailPassword() As String
            Get
                Return Me.m_emailPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_emailPasswordField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property newEmailLogin() As String
            Get
                Return Me.m_newEmailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_newEmailLoginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeEmailLoginResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class CreateEmailAccountRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_emailAddressField As String
        Private m_emailDomainField As String
        Private m_emailHOHStatusField As String
        Private m_emailLoginField As String
        Private m_emailPasswordField As String
        Private m_loginField As String
        Private m_newEmailLoginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String


        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailAddress() As String
            Get
                Return Me.m_emailAddressField
            End Get
            Set(ByVal value As String)
                Me.m_emailAddressField = value
            End Set
        End Property
        Public Property emailDomain() As String
            Get
                Return Me.m_emailDomainField
            End Get
            Set(ByVal value As String)
                Me.m_emailDomainField = value
            End Set
        End Property
        Public Property emailHOHStatus() As String
            Get
                Return Me.m_emailHOHStatusField
            End Get
            Set(ByVal value As String)
                Me.m_emailHOHStatusField = value
            End Set
        End Property
        Public Property emailLogin() As String
            Get
                Return Me.m_emailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_emailLoginField = value
            End Set
        End Property
        Public Property emailPassword() As String
            Get
                Return Me.m_emailPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_emailPasswordField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property newEmailLogin() As String
            Get
                Return Me.m_newEmailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_newEmailLoginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class CreateEmailAccountResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class






    <Serializable()> _
    Public Class GetMSBillingSystemLinkRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_loginField As String
        Private m_passwordField As String
        Private m_successPageField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property login() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property successPage() As String
            Get
                Return Me.m_successPageField
            End Get
            Set(ByVal value As String)
                Me.m_successPageField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetMSBillingSystemLinkResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_uRLField As String
        Private m_billingSysField As String
        Private m_dField As String
        Private m_kField As String
        Private m_sField As String
        'Private statusField As String
        'Private WSErrorTextField As String

        'Public Property status() As String
        '    Get
        '        Return Me.statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.statusField = value
        '    End Set
        'End Property
        'Public Property WSErrorText() As String
        '    Get
        '        Return Me.WSErrorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.WSErrorTextField = value
        '    End Set
        'End Property
        Public Property billingSys() As String
            Get
                Return Me.m_billingSysField
            End Get
            Set(ByVal value As String)
                Me.m_billingSysField = value
            End Set
        End Property
        Public Property URL() As String
            Get
                Return Me.m_uRLField
            End Get
            Set(ByVal value As String)
                Me.m_uRLField = value
            End Set
        End Property
        Public Property d() As String
            Get
                Return Me.m_dField
            End Get
            Set(ByVal value As String)
                Me.m_dField = value
            End Set
        End Property
        Public Property s() As String
            Get
                Return Me.m_sField
            End Get
            Set(ByVal value As String)
                Me.m_sField = value
            End Set
        End Property
        Public Property k() As String
            Get
                Return Me.m_kField
            End Get
            Set(ByVal value As String)
                Me.m_kField = value
            End Set
        End Property
    End Class



    <Serializable()> _
    Public Class GetMSWebspaceSummaryRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_loginField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_passwordField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetMSWebspaceSummaryResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountIdField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_loginField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityKeyArrayField() As String
        Private m_securityQuestionField As String
        Private m_passwordField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityKeyArray() As String()
            Get
                Return Me.m_securityKeyArrayField
            End Get
            Set(ByVal value As String())
                Me.m_securityKeyArrayField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeMSEmailToPrimaryRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_emailAddressField As String
        Private m_emailDomainField As String
        Private m_emailHOHStatusField As String
        Private m_emailLoginField As String
        Private m_emailPasswordField As String
        Private m_loginField As String
        Private m_newEmailLoginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String
        Private m_userNameField As String


        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailAddress() As String
            Get
                Return Me.m_emailAddressField
            End Get
            Set(ByVal value As String)
                Me.m_emailAddressField = value
            End Set
        End Property
        Public Property emailDomain() As String
            Get
                Return Me.m_emailDomainField
            End Get
            Set(ByVal value As String)
                Me.m_emailDomainField = value
            End Set
        End Property
        Public Property emailHOHStatus() As String
            Get
                Return Me.m_emailHOHStatusField
            End Get
            Set(ByVal value As String)
                Me.m_emailHOHStatusField = value
            End Set
        End Property
        Public Property emailLogin() As String
            Get
                Return Me.m_emailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_emailLoginField = value
            End Set
        End Property
        Public Property emailPassword() As String
            Get
                Return Me.m_emailPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_emailPasswordField = value
            End Set
        End Property
        Public Property csrlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property newEmailLogin() As String
            Get
                Return Me.m_newEmailLoginField
            End Get
            Set(ByVal value As String)
                Me.m_newEmailLoginField = value
            End Set
        End Property
        Public Property csrpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ChangeMSEmailToPrimaryResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class GetEmailAddressListForLoginRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        'Private m_errorTextField As String
        Private m_familiesField() As PackageInfo
        'Private m_statusField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property families() As PackageInfo()
            Get
                Return Me.m_familiesField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_familiesField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetEmailAddressListForLoginResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        'Private m_errorTextField As String
        Private m_familiesField() As PackageInfo
        'Private m_statusField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property families() As PackageInfo()
            Get
                Return Me.m_familiesField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_familiesField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class

    <Serializable()> _
    Public Class GetMSContactEmailAddressRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String
        Private m_webspaceArrayField() As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
        Public Property webspaceArray() As String()
            Get
                Return Me.m_webspaceArrayField
            End Get
            Set(ByVal value As String())
                Me.m_webspaceArrayField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetMSContactEmailAddressResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityKeyArrayField() As String
        Private m_securityQuestionField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityKeyArray() As String()
            Get
                Return Me.m_securityKeyArrayField
            End Get
            Set(ByVal value As String())
                Me.m_securityKeyArrayField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class


    <Serializable()> _
     Public Class GetMSSecurityKeysRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String
        Private m_webspaceArrayField() As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
        Public Property webspaceArray() As String()
            Get
                Return Me.m_webspaceArrayField
            End Get
            Set(ByVal value As String())
                Me.m_webspaceArrayField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetMSSecurityKeysResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityKeyArrayField() As String
        Private m_securityQuestionField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityKeyArray() As String()
            Get
                Return Me.m_securityKeyArrayField
            End Get
            Set(ByVal value As String())
                Me.m_securityKeyArrayField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class


    <Serializable()> _
     Public Class ActivateMSSecurityKeyRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_loginField As String
        Private m_passwordField As String
        Private m_provisioningIdField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property CSRlogin() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property CSRpassword() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisioningId() As String
            Get
                Return Me.m_provisioningIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisioningIdField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class ActivateMSSecurityKeyResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me.StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class






    <Serializable()> _
    Public Class GetMSSecurityQAForAccountRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_securityAnswerField As String
        Private m_securityQuestionField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String
        Private m_webspaceArrayField() As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
        Public Property webspaceArray() As String()
            Get
                Return Me.m_webspaceArrayField
            End Get
            Set(ByVal value As String())
                Me.m_webspaceArrayField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetMSSecurityQAForAccountResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountIdField As String
        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        Private m_emailArrayField() As String
        'Private m_errorTextField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_preferedEmailIdField As String
        Private m_securityAnswerField As String
        Private m_securityKeyArrayField() As String
        Private m_securityQuestionField As String
        'Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property preferedEmailId() As String
            Get
                Return Me.m_preferedEmailIdField
            End Get
            Set(ByVal value As String)
                Me.m_preferedEmailIdField = value
            End Set
        End Property
        Public Property securityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
        Public Property securityKeyArray() As String()
            Get
                Return Me.m_securityKeyArrayField
            End Get
            Set(ByVal value As String())
                Me.m_securityKeyArrayField = value
            End Set
        End Property
        Public Property securityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetMSSecurityQARequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        'Private m_errorTextField As String
        Private m_securityQuestionArrayField() As String
        'Private m_statusField As String

        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property securityQuestionArray() As String()
            Get
                Return Me.m_securityQuestionArrayField
            End Get
            Set(ByVal value As String())
                Me.m_securityQuestionArrayField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class GetMSSecurityQAResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_csrLoginField As String
        Private m_csrPasswordField As String
        'Private m_errorTextField As String
        Private m_securityQuestionArrayField() As String
        'Private m_statusField As String

        Public Property csrLogin() As String
            Get
                Return Me.m_csrLoginField
            End Get
            Set(ByVal value As String)
                Me.m_csrLoginField = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_csrPasswordField = value
            End Set
        End Property
        'Public Property errorText() As String
        '    Get
        '        Return Me. m_errorTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_errorTextField = value
        '    End Set
        'End Property
        Public Property securityQuestionArray() As String()
            Get
                Return Me.m_securityQuestionArrayField
            End Get
            Set(ByVal value As String())
                Me.m_securityQuestionArrayField = value
            End Set
        End Property
        'Public Property status() As String
        '    Get
        '        Return Me. m_statusField
        '    End Get
        '    Set(ByVal value As String)
        '        Me. m_statusField = value
        '    End Set
        'End Property
    End Class
    <Serializable()> _
    Public Class forgotMSPasswordRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_ContactEmailField As String
        Private m_CSRLoginField As String
        Private m_CSRPasswordField As String
        Private m_AccountIDField As String


        Public Property MSContactEmail() As String
            Get
                Return Me.m_ContactEmailField
            End Get
            Set(ByVal value As String)
                Me.m_ContactEmailField = value
            End Set
        End Property
        Public Property AccountID() As String
            Get
                Return Me.m_AccountIDField
            End Get
            Set(ByVal value As String)
                Me.m_AccountIDField = value
            End Set
        End Property
        Public Property CSRLogin() As String
            Get
                Return Me.m_CSRLoginField
            End Get
            Set(ByVal value As String)
                Me.m_CSRLoginField = value
            End Set
        End Property
        Public Property CSRPassword() As String
            Get
                Return Me.m_CSRPasswordField
            End Get
            Set(ByVal value As String)
                Me.m_CSRPasswordField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class forgotMSPasswordResponse
        Inherits ProviderResults
        Implements IProviderResults

        'Private StateField As Boolean
        'Private StatusTextField As String

        'Public Property State() As Boolean
        '    Get
        '        Return Me. m_StateField
        '    End Get
        '    Set(ByVal value As Boolean)
        '        Me.StateField = value
        '    End Set
        'End Property
        'Public Property StatusText() As String
        '    Get
        '        Return Me.StatusTextField
        '    End Get
        '    Set(ByVal value As String)
        '        Me.StatusTextField = value
        '    End Set
        'End Property
    End Class





    <Serializable()> _
    Public Class AccountInfo

        Private m_accountIdField As String
        Private m_emailArrayField() As String
        Private m_errorTextField As String
        Private m_loginField As String
        Private m_modemArrayField() As String
        Private m_packageArrayField() As PackageInfo
        Private m_passwordField As String
        Private m_statusField As String
        Private m_typeField As String
        Private m_userNameField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property emailArray() As String()
            Get
                Return Me.m_emailArrayField
            End Get
            Set(ByVal value As String())
                Me.m_emailArrayField = value
            End Set
        End Property
        Public Property errorText() As String
            Get
                Return Me.m_errorTextField
            End Get
            Set(ByVal value As String)
                Me.m_errorTextField = value
            End Set
        End Property
        Public Property login() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property modemArray() As String()
            Get
                Return Me.m_modemArrayField
            End Get
            Set(ByVal value As String())
                Me.m_modemArrayField = value
            End Set
        End Property
        Public Property packageArray() As PackageInfo()
            Get
                Return Me.m_packageArrayField
            End Get
            Set(ByVal value As PackageInfo())
                Me.m_packageArrayField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property status() As String
            Get
                Return Me.m_statusField
            End Get
            Set(ByVal value As String)
                Me.m_statusField = value
            End Set
        End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class PackageInfo
        Private m_descriptionField As String
        Private m_emailsField() As EmailInfo
        Private m_provisioningIdField As String
        Private m_statusField As String
        Private m_typeField As String
        Private m_webspaceField As String
        Private m_securityKeysField As SecurityKeyArray
        Private m_emailsAllowedField As Integer

        Public Property description() As String
            Get
                Return Me.m_descriptionField
            End Get
            Set(ByVal value As String)
                Me.m_descriptionField = value
            End Set
        End Property
        Public Property emails() As EmailInfo()
            Get
                Return Me.m_emailsField
            End Get
            Set(ByVal value As EmailInfo())
                Me.m_emailsField = value
            End Set
        End Property
        Public Property provisioningId() As String
            Get
                Return Me.m_provisioningIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisioningIdField = value
            End Set
        End Property
        Public Property status() As String
            Get
                Return Me.m_statusField
            End Get
            Set(ByVal value As String)
                Me.m_statusField = value
            End Set
        End Property
        Public Property type() As String
            Get
                Return Me.m_typeField
            End Get
            Set(ByVal value As String)
                Me.m_typeField = value
            End Set
        End Property
        Public Property webspace() As String
            Get
                Return Me.m_webspaceField
            End Get
            Set(ByVal value As String)
                Me.m_webspaceField = value
            End Set
        End Property
        Public Property securityKeysArray() As SecurityKeyArray
            Get
                Return Me.m_securityKeysField
            End Get
            Set(ByVal value As SecurityKeyArray)
                Me.m_securityKeysField = value
            End Set
        End Property
        Public Property MaxEmailsAllowed() As Integer
            Get
                Return Me.m_emailsAllowedField
            End Get
            Set(ByVal value As Integer)
                Me.m_emailsAllowedField = value
            End Set
        End Property

    End Class
    <Serializable()> _
Public Class SecurityKeyArray
        Private m_KeysArray() As String
        Private m_KeysAllowed As Integer

        Public Property MaxKeysAllowed() As Integer
            Get
                Return Me.m_KeysAllowed
            End Get
            Set(ByVal value As Integer)
                Me.m_KeysAllowed = value
            End Set
        End Property
        Public Property KeysArray() As String()
            Get
                Return Me.m_KeysArray
            End Get
            Set(ByVal value As String())
                Me.m_KeysArray = value
            End Set
        End Property
    End Class


    <Serializable()> _
    Public Class EmailInfo
        Private m_hOHStatusField As String
        Private m_domainField As String
        Private m_provisioningIdField As String
        Private m_statusField As String
        Private m_userNameField As String

        Public Property HOHStatus() As String
            Get
                Return Me.m_hOHStatusField
            End Get
            Set(ByVal value As String)
                Me.m_hOHStatusField = value
            End Set
        End Property
        Public Property domain() As String
            Get
                Return Me.m_domainField
            End Get
            Set(ByVal value As String)
                Me.m_domainField = value
            End Set
        End Property
        Public Property provisioningId() As String
            Get
                Return Me.m_provisioningIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisioningIdField = value
            End Set
        End Property
        Public Property status() As String
            Get
                Return Me.m_statusField
            End Get
            Set(ByVal value As String)
                Me.m_statusField = value
            End Set
        End Property
        Public Property userName() As String
            Get
                Return Me.m_userNameField
            End Get
            Set(ByVal value As String)
                Me.m_userNameField = value
            End Set
        End Property
    End Class
    Public Class ActivateKeyInfo
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_loginField As String
        Private m_passwordField As String
        Private m_provisioningIdField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property
        Public Property login() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property
        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property
        Public Property provisioningId() As String
            Get
                Return Me.m_provisioningIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisioningIdField = value
            End Set
        End Property
    End Class





    <Serializable()> _
    Public Class GetSignInDataRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_AuthenticateLogin As String
        Private m_AuthenticatePassword As String
        Private m_Login As String
        Private m_Password As String

        Public Property csrLogin() As String
            Get
                Return Me.m_AuthenticateLogin
            End Get
            Set(ByVal value As String)
                Me.m_AuthenticateLogin = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_AuthenticatePassword
            End Get
            Set(ByVal value As String)
                Me.m_AuthenticatePassword = value
            End Set
        End Property
        Public Property Login() As String
            Get
                Return Me.m_Login
            End Get
            Set(ByVal value As String)
                Me.m_Login = value
            End Set
        End Property
        Public Property Password() As String
            Get
                Return Me.m_Password
            End Get
            Set(ByVal value As String)
                Me.m_Password = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class GetSignInDataResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_AuthenticateResponse As AuthenticateResponse
        Private m_AuthenticateMsExResponse As AuthenticateMsExResponse
        Private m_GetMSSecurityQAResponse As GetMSSecurityQAResponse
        Private m_GetMSSecurityQAForAccountResponse As GetMSSecurityQAForAccountResponse
        Private m_GetMSContactEmailAddressResponse As GetMSContactEmailAddressResponse
        Private m_GetMSWebspaceSummaryResponse As GetMSWebspaceSummaryResponse
        Private m_GetEmailAddressListForLoginResponse As GetEmailAddressListForLoginResponse
        Private m_GetMSBillingSystemLinkResponse As GetMSBillingSystemLinkResponse
        Private m_GetMSSecurityKeysResponse As GetMSSecurityKeysResponse
        Private m_GetMSMaxSecurityKeysAllowedResponse As GetMSSecurityKeysResponse

        Private m_GetAccountStatementsAllResponseCSG As EntityEBSServices.GetAccountStatementsAllResponseCSG
        Private m_GetAccountStatementsAllResponseICOMS As EntityEBSServices.GetAccountStatementsAllResponseICOMS

        Private m_GetEBSGetAccountsResponseCSG As EntityEBSServices.GetAccountsResponseCSG
        Private m_GetEBSGetServiceabilityResponse As EntityEBSServices.GetServiceabilityResponse

'################################################################################################
'MODIFICATION	ROD COPELAND	ISSUE ID 6661	CSG Multi-Statement - My Account Overview Page
'################################################################################################
        Private m_CustomerStatementsResponse As EntityEBSServices.GetCustomerStatementsResponse

        Public Property MSAuthenticateResponse() As AuthenticateResponse
            Get
                Return Me.m_AuthenticateResponse
            End Get
            Set(ByVal value As AuthenticateResponse)
                Me.m_AuthenticateResponse = value
            End Set
        End Property
        Public Property MSAuthenticateMsExResponse() As AuthenticateMsExResponse
            Get
                Return Me.m_AuthenticateMsExResponse
            End Get
            Set(ByVal value As AuthenticateMsExResponse)
                Me.m_AuthenticateMsExResponse = value
            End Set
        End Property
        Public Property MSGetMSSecurityQAResponse() As GetMSSecurityQAResponse
            Get
                Return Me.m_GetMSSecurityQAResponse
            End Get
            Set(ByVal value As GetMSSecurityQAResponse)
                Me.m_GetMSSecurityQAResponse = value
            End Set
        End Property
        Public Property MSGetMSSecurityQAForAccountResponse() As GetMSSecurityQAForAccountResponse
            Get
                Return Me.m_GetMSSecurityQAForAccountResponse
            End Get
            Set(ByVal value As GetMSSecurityQAForAccountResponse)
                Me.m_GetMSSecurityQAForAccountResponse = value
            End Set
        End Property
        Public Property MSGetMSContactEmailAddressResponse() As GetMSContactEmailAddressResponse
            Get
                Return Me.m_GetMSContactEmailAddressResponse
            End Get
            Set(ByVal value As GetMSContactEmailAddressResponse)
                Me.m_GetMSContactEmailAddressResponse = value
            End Set
        End Property
        Public Property MSGetMSWebspaceSummaryResponse() As GetMSWebspaceSummaryResponse
            Get
                Return Me.m_GetMSWebspaceSummaryResponse
            End Get
            Set(ByVal value As GetMSWebspaceSummaryResponse)
                Me.m_GetMSWebspaceSummaryResponse = value
            End Set
        End Property
        Public Property MSGetEmailAddressListForLoginResponse() As GetEmailAddressListForLoginResponse
            Get
                Return Me.m_GetEmailAddressListForLoginResponse
            End Get
            Set(ByVal value As GetEmailAddressListForLoginResponse)
                Me.m_GetEmailAddressListForLoginResponse = value
            End Set
        End Property
        Public Property MSGetMSBillingSystemLinkResponse() As GetMSBillingSystemLinkResponse
            Get
                Return Me.m_GetMSBillingSystemLinkResponse
            End Get
            Set(ByVal value As GetMSBillingSystemLinkResponse)
                Me.m_GetMSBillingSystemLinkResponse = value
            End Set
        End Property
        Public Property MSGetMSSecurityKeysResponse() As GetMSSecurityKeysResponse
            Get
                Return Me.m_GetMSSecurityKeysResponse
            End Get
            Set(ByVal value As GetMSSecurityKeysResponse)
                Me.m_GetMSSecurityKeysResponse = value
            End Set
        End Property
        Public Property MSGetMSMaxSecurityKeysAllowedResponse() As GetMSSecurityKeysResponse
            Get
                Return Me.m_GetMSMaxSecurityKeysAllowedResponse
            End Get
            Set(ByVal value As GetMSSecurityKeysResponse)
                Me.m_GetMSMaxSecurityKeysAllowedResponse = value
            End Set
        End Property
        Public Property EBSGetAccountsResponseCSG() As EntityEBSServices.GetAccountsResponseCSG
            Get
                Return Me.m_GetEBSGetAccountsResponseCSG
            End Get
            Set(ByVal value As EntityEBSServices.GetAccountsResponseCSG)
                Me.m_GetEBSGetAccountsResponseCSG = value
            End Set
        End Property
        Public Property EAICustomerStatementsResponse() As EntityEBSServices.GetCustomerStatementsResponse
            Get
                Return Me.m_CustomerStatementsResponse
            End Get
            Set(ByVal value As EntityEBSServices.GetCustomerStatementsResponse)
                Me.m_CustomerStatementsResponse = value
            End Set
        End Property
        Public Property EBSAccountStatementsAllResponseCSG() As EntityEBSServices.GetAccountStatementsAllResponseCSG
            Get
                Return Me.m_GetAccountStatementsAllResponseCSG
            End Get
            Set(ByVal value As EntityEBSServices.GetAccountStatementsAllResponseCSG)
                Me.m_GetAccountStatementsAllResponseCSG = value
            End Set
        End Property
        Public Property EBSGetAccountStatementsAllResponseICOMS() As EntityEBSServices.GetAccountStatementsAllResponseICOMS
            Get
                Return Me.m_GetAccountStatementsAllResponseICOMS
            End Get
            Set(ByVal value As EntityEBSServices.GetAccountStatementsAllResponseICOMS)
                Me.m_GetAccountStatementsAllResponseICOMS = value
            End Set
        End Property
        Public Property EBSGetServiceabilityResponse() As EntityEBSServices.GetServiceabilityResponse
            Get
                Return Me.m_GetEBSGetServiceabilityResponse
            End Get
            Set(ByVal value As EntityEBSServices.GetServiceabilityResponse)
                Me.m_GetEBSGetServiceabilityResponse = value
            End Set
        End Property

    End Class

    <Serializable()> _
    Public Class ChangeWebSpacePasswordRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountIdField As String
        Private m_loginField As String
        Private m_passwordField As String
        Private m_provisionIdField As String
        Private m_webspaceLoginField As String
        Private m_webspacePasswordField As String

        Public Property accountId() As String
            Get
                Return Me.m_accountIdField
            End Get
            Set(ByVal value As String)
                Me.m_accountIdField = value
            End Set
        End Property

        Public Property login() As String
            Get
                Return Me.m_loginField
            End Get
            Set(ByVal value As String)
                Me.m_loginField = value
            End Set
        End Property

        Public Property password() As String
            Get
                Return Me.m_passwordField
            End Get
            Set(ByVal value As String)
                Me.m_passwordField = value
            End Set
        End Property

        Public Property provisionId() As String
            Get
                Return Me.m_provisionIdField
            End Get
            Set(ByVal value As String)
                Me.m_provisionIdField = value
            End Set
        End Property

        Public Property webspaceLogin() As String
            Get
                Return Me.m_webspaceLoginField
            End Get
            Set(ByVal value As String)
                Me.m_webspaceLoginField = value
            End Set
        End Property

        Public Property webspacePassword() As String
            Get
                Return Me.m_webspacePasswordField
            End Get
            Set(ByVal value As String)
                Me.m_webspacePasswordField = value
            End Set
        End Property
    End Class

    <Serializable()> _
    Public Class AuthenticateLoginSecretQARequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_loginIDField As String
        Private m_securityQuestionField As String
        Private m_securityAnswerField As String
        Private m_csrLogin As String
        Private m_csrPassword As String

        Public Property csrLogin() As String
            Get
                Return Me.m_csrLogin
            End Get
            Set(ByVal value As String)
                Me.m_csrLogin = value
            End Set
        End Property
        Public Property csrPassword() As String
            Get
                Return Me.m_csrPassword
            End Get
            Set(ByVal value As String)
                Me.m_csrPassword = value
            End Set
        End Property
        Public Property LoginID() As String
            Get
                Return Me.m_loginIDField
            End Get
            Set(ByVal value As String)
                Me.m_loginIDField = value
            End Set
        End Property
        Public Property SecurityQuestion() As String
            Get
                Return Me.m_securityQuestionField
            End Get
            Set(ByVal value As String)
                Me.m_securityQuestionField = value
            End Set
        End Property
        Public Property SecurityAnswer() As String
            Get
                Return Me.m_securityAnswerField
            End Get
            Set(ByVal value As String)
                Me.m_securityAnswerField = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class AuthenticateLoginSecretQAResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountNumberField As String
        Private m_accountTypeField As String
        Private m_address1Field As String
        Private m_address2Field As String
        Private m_cityField As String
        Private m_companyField As String
        Private m_firstNameField As String
        Private m_lastNameField As String
        Private m_phoneNumberField As String
        Private m_stateField As String
        Private m_zipCodeField As String
        Private m_blnStateField As Boolean
        Private m_StatusTextField As String

        Public Property accountNumber() As String
            Get
                Return Me.m_accountNumberField
            End Get
            Set(ByVal value As String)
                Me.m_accountNumberField = value
            End Set
        End Property
        Public Property accountType() As String
            Get
                Return Me.m_accountTypeField
            End Get
            Set(ByVal value As String)
                Me.m_accountTypeField = value
            End Set
        End Property
        Public Property address1() As String
            Get
                Return Me.m_address1Field
            End Get
            Set(ByVal value As String)
                Me.m_address1Field = value
            End Set
        End Property
        Public Property address2() As String
            Get
                Return Me.m_address2Field
            End Get
            Set(ByVal value As String)
                Me.m_address2Field = value
            End Set
        End Property
        Public Property city() As String
            Get
                Return Me.m_cityField
            End Get
            Set(ByVal value As String)
                Me.m_cityField = value
            End Set
        End Property
        Public Property company() As String
            Get
                Return Me.m_companyField
            End Get
            Set(ByVal value As String)
                Me.m_companyField = value
            End Set
        End Property
        Public Property firstName() As String
            Get
                Return Me.m_firstNameField
            End Get
            Set(ByVal value As String)
                Me.m_firstNameField = value
            End Set
        End Property
        Public Property lastName() As String
            Get
                Return Me.m_lastNameField
            End Get
            Set(ByVal value As String)
                Me.m_lastNameField = value
            End Set
        End Property
        Public Property phoneNumber() As String
            Get
                Return Me.m_phoneNumberField
            End Get
            Set(ByVal value As String)
                Me.m_phoneNumberField = value
            End Set
        End Property
        Public Property StateInitials() As String
            Get
                Return Me.m_stateField
            End Get
            Set(ByVal value As String)
                Me.m_stateField = value
            End Set
        End Property
        Public Property zipCode() As String
            Get
                Return Me.m_zipCodeField
            End Get
            Set(ByVal value As String)
                Me.m_zipCodeField = value
            End Set
        End Property
    End Class
    <Serializable()> Public Class GetEncryptStringRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_accountNumber As String
        Public Property AccountNumber() As String
            Get
                Return m_accountNumber
            End Get
            Set(ByVal value As String)
                m_accountNumber = value
            End Set
        End Property

        Private m_auditUser As String
        Public Property AuditUser() As String
            Get
                Return m_auditUser
            End Get
            Set(ByVal value As String)
                m_auditUser = value
            End Set
        End Property



        Private m_UserName As String
        Public Property UserName() As String
            Get
                Return m_UserName
            End Get
            Set(ByVal value As String)
                m_UserName = value
            End Set
        End Property


    End Class
    <Serializable()> Public Class GetEncryptStringResponse
        Inherits ProviderResults
        Implements IProviderResults
        Private m_authString As String
        Public Property AuthString() As String
            Get
                Return m_authString
            End Get
            Set(ByVal value As String)
                m_authString = value
            End Set
        End Property

        Private m_status As String
        Public Property Status() As String
            Get
                Return m_status
            End Get
            Set(ByVal value As String)
                m_status = value
            End Set
        End Property

        Private m_returnCode As Integer
        Public Property ReturnCode() As Integer
            Get
                Return m_returnCode
            End Get
            Set(ByVal value As Integer)
                m_returnCode = value
            End Set
        End Property

        Private m_roundTrip As Decimal
        Public Property RoundTrip() As Decimal
            Get
                Return m_roundTrip
            End Get
            Set(ByVal value As Decimal)
                m_roundTrip = value
            End Set
        End Property


    End Class
    <Serializable()> _
   Public Class GetLoginRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_method As String
        Private m_getanswer As String
        Private m_system As String
        Private m_accountnumber As String


        Public Property method() As String
            Get
                Return Me.m_method
            End Get
            Set(ByVal value As String)
                Me.m_method = value
            End Set
        End Property
        Public Property getAnswer() As String
            Get
                Return Me.m_getanswer
            End Get
            Set(ByVal value As String)
                Me.m_getanswer = value
            End Set
        End Property
        Public Property System() As String
            Get
                Return Me.m_system
            End Get
            Set(ByVal value As String)
                Me.m_system = value
            End Set
        End Property
        Public Property AccountNumber() As String
            Get
                Return Me.m_accountnumber
            End Get
            Set(ByVal value As String)
                Me.m_accountnumber = value
            End Set
        End Property
     
    End Class
    <Serializable()> _
 Public Class GetLoginResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_accountnumber As String
        Private m_returnCode As String
        Private m_returnString As String
        Private m_userName As String
        Private m_contactEmail As String
        Private m_secQuestion As String
        Private m_secAnswer As String



        Public Property ReturnCode() As String
            Get
                Return Me.m_returnCode
            End Get
            Set(ByVal value As String)
                Me.m_returnCode = value
            End Set
        End Property
        Public Property ReturnString() As String
            Get
                Return Me.m_returnString
            End Get
            Set(ByVal value As String)
                Me.m_returnString = value
            End Set
        End Property
        Public Property ContactEmail() As String
            Get
                Return Me.m_contactEmail
            End Get
            Set(ByVal value As String)
                Me.m_contactEmail = value
            End Set
        End Property
        Public Property AccountNumber() As String
            Get
                Return Me.m_accountnumber
            End Get
            Set(ByVal value As String)
                Me.m_accountnumber = value
            End Set
        End Property
        Public Property SecretQuestion() As String
            Get
                Return Me.m_secQuestion
            End Get
            Set(ByVal value As String)
                Me.m_secQuestion = value
            End Set
        End Property
        Public Property SecretAnswer() As String
            Get
                Return Me.m_secAnswer
            End Get
            Set(ByVal value As String)
                Me.m_secAnswer = value
            End Set
        End Property
        Public Property UserName() As String
            Get
                Return Me.m_userName
            End Get
            Set(ByVal value As String)
                Me.m_userName = value
            End Set
        End Property
    End Class
End Class